Get popularity

Artist popularity metric indicates how popular an artist is on a specific platform. It is calculated by the platform.

You can get the artist's popularity of “spotify”, “tidal” or "deezer".

Spotify artist popularity ranges from 0 to 100, with 100 being the most popular. As Spotify describes, “The popularity value may lag actual popularity by a few days: the value is not updated in real-time.”

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2/artist/{uuid}/popularity/{platform}

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

A Streaming Account response with platform popularity for a period

Popularity Plot Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

platform code

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out